﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tek DPO7254: (1 yr) VER IEEE /9500/3200+1Hd,LFCTR
DATE:                  2017-07-24 10:04:41
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       317
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Datron 9530 on channel 1
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Additional Equipment Required:
#        1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
#        1 ea. BNC Shorting Cap (f)
#        1 ea. BNC attenuator, 2X (6 dB)
#        1 ea. BNC power splitter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         2.5GH                        1Vpp           LS    S  L
  1.003  IEEE         [@LFCTR]
  1.004  ENDIF

  1.005  MATH         @Bandwidth = 2.5E+9; @NumChan = 4; @MultiHd = 0

  1.006  ASK-   R   Q N              P                            A        V

  1.007  IF           NOT(VERSIONCHECK("8.0"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  CALL         Sub High Voltage Safety Warning
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  TARGET
  1.016  DISP         Ensure a minimum DUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  CALL         Sub Tek DPO7000 Setup IEEE
  1.018  CALL         Sub DUT Connection GPIB

  1.019  MATH         @DUT_Manufacturer = "TEKTRONIX"
  1.020  MATH         @DUT_Model        = "DPO7254"
  1.021  MATH         @DUT_AssetNum     = UUT()

  1.022  IF           NOT(EMPTY(@DUT_AssetNum))
  1.023  MATH         @DUT_SerialNum = SN(@DUT_AssetNum)
  1.024  ENDIF

  1.025  CALL         Sub IEEE-488.2 *IDN? IEEE
  1.026  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.027  JMPL         END                             @Abort
  1.028  CALL         Sub Tek DPO7000 Check Firmware Version
  1.029  JMPL         END                             @Abort

  1.030  IEEE2        *RST

  1.031  HEAD         EQUIPMENT REQUIREMENTS
  1.032  OPBR         -z Do you want to review the list of additional
  1.032  OPBR         equipment and/or accessories required?

  1.033  IF           MEM1
  1.034  DISP         - 1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
  1.034  DISP         - 1 ea. BNC Shorting Cap (f)
  1.034  DISP         - 1 ea. BNC attenuator, 2X (6 dB)
  1.034  DISP         - 1 ea. BNC power splitter
  1.035  ENDIF

  1.036  OPBR         -z Do you want to review the list of flexible standards,
  1.036  OPBR         additional equipment and/or accessories required?

  1.037  IF           MEM1
  1.038  DISP         The indicated minimum use specifications must be
  1.038  DISP         satisfied when configuring the following devices
  1.038  DISP         as flexible standards:
  1.039  DISP
  1.039  DISP         LF Counter (LFCTR):
  1.039  DISP         [32] Ch. A Frequency Range: 10 MHz
  1.039  DISP         [32]   Accuracy: ±3.5 ppm/year
  1.039  DISP         [32] Example: Fluke PM6681 with PM9678B option
  1.039  DISP         [32] or equivalent

  1.040  DISP         Additional equipment/accessories required:
  1.040  DISP
  1.040  DISP         - Frequency Standard, suitable for use with configured
  1.040  DISP         [32] LF counter, ±3.5 ppm or better, Fluke PM6681 with
  1.040  DISP         [32] PM9678B option or equivalent (if required)
  1.041  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.042  CALL         Sub Tek DPO7000 Self-Test IEEE
  1.043  JMPL         END                           @Abort
  1.044  CALL         Sub Tek DPO7000 Signal Path Compensation IEEE
  1.045  JMPL         END                           @Abort

  1.046  DISP         Click the X (close) button to exit the instrument
  1.046  DISP         calibration control window.

  1.047  OPBR         -z The purpose of functional tests are to confirm the
  1.047  OPBR         DUT functions properly; that is, they verify the DUT
  1.047  OPBR         features operate. They do not verify that they operate
  1.047  OPBR         within limits. If more extensive confirmation of
  1.047  OPBR         performance is desired, please execute the full
  1.047  OPBR         performance test.
  1.047  OPBR
  1.047  OPBR         Do you want to execute the functional tests?

  1.048  IF           MEM1
  1.049  CALL         Sub Tek DPO7000 Functional Tests IEEE
  1.050  ENDIF

  1.051  MATH         @Chan = 1
  1.052  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.053  JMPL         BW_CH1

  1.054  LABEL        DCV_CH2
  1.055  MATH         @Chan = 2
  1.056  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.057  JMPL         BW_CH2

  1.058  LABEL        DCV_CH3
  1.059  MATH         @Chan = 3
  1.060  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.061  JMPL         BW_CH3

  1.062  LABEL        DCV_CH4
  1.063  MATH         @Chan = 4
  1.064  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.065  JMPL         BW_CH4

  1.066  LABEL        BW_CH1
  1.067  CALL         Sub Tek DPO7254 (1 yr) Bandwidth VER IEEE /9500/3200
  1.068  JMPL         TIME_QUALIFIED

  1.069  LABEL        BW_CH2
  1.070  CALL         Sub Tek DPO7254 (1 yr) Bandwidth VER IEEE /9500/3200
  1.071  JMPL         TRIGGER_CH2_50MHz

  1.072  LABEL        BW_CH3
  1.073  CALL         Sub Tek DPO7254 (1 yr) Bandwidth VER IEEE /9500/3200
  1.074  JMPL         TRIGGER_CH3_50MHz

  1.075  LABEL        BW_CH4
  1.076  CALL         Sub Tek DPO7254 (1 yr) Bandwidth VER IEEE /9500/3200
  1.077  JMPL         TRIGGER_CH4_50MHz

  1.078  LABEL        TIMEBASE_ACCURACY
  1.079  CALL         Sub Tek DPO7000 (1 yr) Timebase Acc VER IEEE /LFCTR
  1.080  JMPL         AUX_TRIGGER_OUT

  1.081  LABEL        TIMEBASE_REF
  1.082  CALL         Sub Tek DPO7000 (1 yr) Timebase Ref VER IEEE /9500
  1.083  JMPL         DCV_CH2

  1.084  LABEL        DELTA_CH1
  1.085  MATH         @Chan = 1
  1.086  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.087  MATH         @Chan = 2
  1.088  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.089  MATH         @Chan = 3
  1.090  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.091  MATH         @Chan = 4
  1.092  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500

  1.093  DISP         Remove all connections.
  1.094  JMPL         TRIGGER_CH1_AUX_IN_50MHz

  1.095  LABEL        TIME_QUALIFIED
  1.096  CALL         Sub Tek DPO7000 (1 yr) Time Qualified VER IEEE /9500

# -----  Trigger Sensitivity Ch 1  ------------------------------------------

  1.097  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.098  JMPL         TRIGGER_CH1_FULL_BW

  1.099  LABEL        TRIGGER_CH1_AUX_IN_50MHz
  1.100  MATH         @Chan = 1
  1.101  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.102  JMPL         TRIGGER_CH2_AUX_IN_50MHz

  1.103  LABEL        TRIGGER_CH1_FULL_BW
  1.104  CALL         Sub Tek DPO7254 (1 yr) Trig Full BW VER IEEE /9500/3200
  1.105  JMPL         TIMEBASE_REF

  1.106  LABEL        TRIGGER_CH1_AUX_IN_250MHz
  1.107  MATH         @Chan = 1
  1.108  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500
  1.109  JMPL         TRIGGER_CH2_AUX_IN_250MHz

# -----  Trigger Sensitivity Ch 2  ------------------------------------------

  1.110  LABEL        TRIGGER_CH2_50MHz
  1.111  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.112  JMPL         TRIGGER_CH2_FULL_BW

  1.113  LABEL        TRIGGER_CH2_AUX_IN_50MHz
  1.114  MATH         @Chan = 2
  1.115  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.116  JMPL         TRIGGER_CH3_AUX_IN_50MHz

  1.117  LABEL        TRIGGER_CH2_FULL_BW
  1.118  CALL         Sub Tek DPO7254 (1 yr) Trig Full BW VER IEEE /9500/3200
  1.119  JMPL         DCV_CH3

  1.120  LABEL        TRIGGER_CH2_AUX_IN_250MHz
  1.121  MATH         @Chan = 2
  1.122  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500
  1.123  JMPL         TRIGGER_CH3_AUX_IN_250MHz

# -----  Trigger Sensitivity Ch 3 ------------------------------------------

  1.124  LABEL        TRIGGER_CH3_50MHz
  1.125  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.126  JMPL         TRIGGER_CH3_FULL_BW

  1.127  LABEL        TRIGGER_CH3_AUX_IN_50MHz
  1.128  MATH         @Chan = 3
  1.129  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.130  JMPL         TRIGGER_CH4_AUX_IN_50MHz

  1.131  LABEL        TRIGGER_CH3_FULL_BW
  1.132  CALL         Sub Tek DPO7254 (1 yr) Trig Full BW VER IEEE /9500/3200
  1.133  JMPL         DCV_CH4

  1.134  LABEL        TRIGGER_CH3_AUX_IN_250MHz
  1.135  MATH         @Chan = 3
  1.136  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500
  1.137  JMPL         TRIGGER_CH4_AUX_IN_250MHz

# -----  Trigger Sensitivity Ch 4  ------------------------------------------

  1.138  LABEL        TRIGGER_CH4_50MHz
  1.139  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.140  JMPL         TRIGGER_CH4_FULL_BW

  1.141  LABEL        TRIGGER_CH4_AUX_IN_50MHz
  1.142  MATH         @Chan = 4
  1.143  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.144  JMPL         TRIGGER_CH1_AUX_IN_250MHz

  1.145  LABEL        TRIGGER_CH4_FULL_BW
  1.146  CALL         Sub Tek DPO7254 (1 yr) Trig Full BW VER IEEE /9500/3200

  1.147  DISP         Remove all connections.
  1.148  JMPL         DELTA_CH1

  1.149  LABEL        TRIGGER_CH4_AUX_IN_250MHz
  1.150  MATH         @Chan = 4
  1.151  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500

  1.152  DISP         Remove all connections.
  1.153  JMPL         TIMEBASE_ACCURACY

  1.154  LABEL        AUX_TRIGGER_OUT
  1.155  MATH         @Chan = 1
  1.156  CALL         Sub Tek DPO7000 (1 yr) Aux Trigger Out VER IEEE
  1.157  CALL         Sub Tek DPO7000 (1 yr) Probe Comp VER IEEE /9500

  1.158  IEEE2        *OPT?[I$]
  1.159  MATH         Option = MEM2

  1.160  IF           FIND(Option, "PTM", 1)
  1.161  CALL         Sub Tek DPO7000 (1 yr) Baud Rate Lmt VER IEEE /9500/600
  1.162  ENDIF

  1.163  IF           FIND(Option, "MTM", 1)
  1.164  CALL         Sub Tek DPO7000 (1 yr) Serial Trig VER IEEE /9500/3200
  1.165  ENDIF

  1.166  LABEL        END
  1.167  IEEE2        *RST

  1.168  IF           @Abort
  1.169  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.170  ENDIF

  1.171  END
